classification
Title: Reference to depricated collections.abc class in collections is unnecessary and confusing
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, khalidmammadov, rhettinger, xtreak
Priority: normal Keywords: patch

Created on 2019-12-26 16:44 by khalidmammadov, last changed 2020-02-22 19:47 by khalidmammadov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17707 closed khalidmammadov, 2019-12-26 20:33
Messages (4)
msg358889 - (view) Author: Khalid Mammadov (khalidmammadov) * Date: 2019-12-26 16:44
"Deprecated since version 3.3, will be removed in version 3.9: Moved Collections Abstract Base Classes to the collections.abc module. For backwards compatibility, they continue to be visible in this module through Python 3.8." on the overview is confusing as it's not listed on that page and explained on the next one.
msg358890 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-12-26 16:50
It can be updated since issue25988 removed the deprecation in Python 3.9.
msg362254 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2020-02-19 05:45
The removal in 3.9 was reverted and postponed to 3.10 in issue39674.
msg362475 - (view) Author: Khalid Mammadov (khalidmammadov) * Date: 2020-02-22 19:46
Looks like this is covered in greater detail in the other PRs. So, closing the PR and the issue
History
Date User Action Args
2020-02-22 19:47:16khalidmammadovsetresolution: duplicate
2020-02-22 19:46:58khalidmammadovsetstatus: open -> closed

messages: + msg362475
stage: patch review -> resolved
2020-02-19 05:45:21xtreaksetmessages: + msg362254
2019-12-26 20:33:56khalidmammadovsetkeywords: + patch
stage: patch review
pull_requests: + pull_request17153
2019-12-26 16:50:00xtreaksetnosy: + rhettinger, xtreak
messages: + msg358890
2019-12-26 16:44:22khalidmammadovcreate